<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_coordenador_regional = array();
	$tdatasenuc_coordenador_regional[".NumberOfChars"] = 80; 
	$tdatasenuc_coordenador_regional[".ShortName"] = "senuc_coordenador_regional";
	$tdatasenuc_coordenador_regional[".OwnerID"] = "idregional";
	$tdatasenuc_coordenador_regional[".OriginalTable"] = "senuc_coordenador";

//	field labels
$fieldLabelssenuc_coordenador_regional = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["nome"] = "Nome";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["nome"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["endereco"] = "Endereco";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["endereco"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["email"] = "Email";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["email"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["telefone"] = "Telefone";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["telefone"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["celular"] = "Celular";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["celular"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["cpf"] = "Cpf";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["cpf"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["operadora"] = "Operadora";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["operadora"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["ingresso_nucleo"] = "Ingresso Nucleo";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["ingresso_nucleo"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["nascimento"] = "Nascimento";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["nascimento"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["etnia"] = "Etnia";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["etnia"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["renda"] = "Renda";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["renda"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["acoes_afirmativas"] = "Acoes Afirmativas";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["acoes_afirmativas"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["bolsista"] = "Bolsista";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["bolsista"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["estado"] = "Estado";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["estado"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["cidade"] = "Cidade";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["cidade"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["escolaridade"] = "Escolaridade";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["escolaridade"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["ativo"] = "Ativo";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["ativo"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["id_mdl"] = "Id Mdl";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["id_mdl"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["motivo"] = "Motivo";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["motivo"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["idregional"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["nome_nucleo"] = "Nome Nucleo";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["nome_nucleo"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["nome_regional"] = "Nome Regional";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["nome_regional"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["tipo_coordenador"] = "Tipo Coordenador";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["tipo_coordenador"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["ultimo_score"] = "Ultimo Score";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["ultimo_score"] = "";
	$fieldLabelssenuc_coordenador_regional["Portuguese(Brazil)"]["data_ultimo_score"] = "Data Ultimo Score";
	$fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]["data_ultimo_score"] = "";
	if (count($fieldToolTipssenuc_coordenador_regional["Portuguese(Brazil)"]))
		$tdatasenuc_coordenador_regional[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_coordenador_regional[".NCSearch"] = true;



$tdatasenuc_coordenador_regional[".shortTableName"] = "senuc_coordenador_regional";
$tdatasenuc_coordenador_regional[".nSecOptions"] = 1;
$tdatasenuc_coordenador_regional[".recsPerRowList"] = 1;
$tdatasenuc_coordenador_regional[".mainTableOwnerID"] = "idregional";
$tdatasenuc_coordenador_regional[".moveNext"] = 1;
$tdatasenuc_coordenador_regional[".nType"] = 1;

$tdatasenuc_coordenador_regional[".strOriginalTableName"] = "senuc_coordenador";




$tdatasenuc_coordenador_regional[".showAddInPopup"] = true;

$tdatasenuc_coordenador_regional[".showEditInPopup"] = true;

$tdatasenuc_coordenador_regional[".showViewInPopup"] = true;

$tdatasenuc_coordenador_regional[".fieldsForRegister"] = array();

$tdatasenuc_coordenador_regional[".listAjax"] = false;

	$tdatasenuc_coordenador_regional[".audit"] = true;

	$tdatasenuc_coordenador_regional[".locking"] = false;

$tdatasenuc_coordenador_regional[".listIcons"] = true;
$tdatasenuc_coordenador_regional[".view"] = true;




$tdatasenuc_coordenador_regional[".showSimpleSearchOptions"] = false;

$tdatasenuc_coordenador_regional[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_coordenador_regional[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_coordenador_regional[".isUseAjaxSuggest"] = true;

$tdatasenuc_coordenador_regional[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_coordenador_regional[".addPageEvents"] = true;

// use timepicker for search panel
$tdatasenuc_coordenador_regional[".isUseTimeForSearch"] = false;




$tdatasenuc_coordenador_regional[".allSearchFields"] = array();

$tdatasenuc_coordenador_regional[".allSearchFields"][] = "ultimo_score";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "tipo_coordenador";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "data_ultimo_score";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "nome";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "nome_nucleo";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "nome_regional";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "cpf";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "email";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "estado";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "cidade";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "endereco";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "telefone";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "celular";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "operadora";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "nascimento";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "renda";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "etnia";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "escolaridade";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "bolsista";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "ingresso_nucleo";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "ativo";
$tdatasenuc_coordenador_regional[".allSearchFields"][] = "motivo";

$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "id";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "idnucleo";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "nome";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "cpf";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "estado";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "cidade";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "endereco";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "email";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "telefone";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "celular";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "operadora";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "ingresso_nucleo";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "nascimento";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "etnia";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "renda";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "escolaridade";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "bolsista";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "acoes_afirmativas";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "ativo";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "motivo";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "id_mdl";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "idregional";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "nome_nucleo";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "nome_regional";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "tipo_coordenador";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "ultimo_score";
$tdatasenuc_coordenador_regional[".googleLikeFields"][] = "data_ultimo_score";


$tdatasenuc_coordenador_regional[".advSearchFields"][] = "ultimo_score";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "tipo_coordenador";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "data_ultimo_score";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "nome";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "nome_nucleo";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "nome_regional";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "cpf";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "email";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "estado";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "cidade";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "endereco";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "telefone";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "celular";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "operadora";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "nascimento";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "renda";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "etnia";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "escolaridade";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "bolsista";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "ingresso_nucleo";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "ativo";
$tdatasenuc_coordenador_regional[".advSearchFields"][] = "motivo";

$tdatasenuc_coordenador_regional[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_coordenador_regional[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY senuc_coordenador.ativo DESC, senuc_coordenador.ingresso_nucleo DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_coordenador_regional[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_coordenador_regional[".orderindexes"] = array();
$tdatasenuc_coordenador_regional[".orderindexes"][] = array(19, (0 ? "ASC" : "DESC"), "senuc_coordenador.ativo");
$tdatasenuc_coordenador_regional[".orderindexes"][] = array(12, (0 ? "ASC" : "DESC"), "senuc_coordenador.ingresso_nucleo");

$tdatasenuc_coordenador_regional[".sqlHead"] = "SELECT senuc_coordenador.id,  senuc_coordenador.idnucleo,  senuc_coordenador.nome,  senuc_coordenador.cpf,  senuc_coordenador.estado,  senuc_coordenador.cidade,  senuc_coordenador.endereco,  senuc_coordenador.email,  senuc_coordenador.telefone,  senuc_coordenador.celular,  senuc_coordenador.operadora,  senuc_coordenador.ingresso_nucleo,  senuc_coordenador.nascimento,  senuc_coordenador.etnia,  senuc_coordenador.renda,  senuc_coordenador.escolaridade,  senuc_coordenador.bolsista,  senuc_coordenador.acoes_afirmativas,  senuc_coordenador.ativo,  senuc_coordenador.motivo,  senuc_coordenador.id_mdl,  senuc_coordenador.idregional,  senuc_nucleo.nome AS nome_nucleo,  regionais.regional AS nome_regional,  senuc_coordenador.tipo_coordenador,  senuc_coordenador.ultimo_score,  senuc_coordenador.data_ultimo_score";
$tdatasenuc_coordenador_regional[".sqlFrom"] = "FROM senuc_coordenador  INNER JOIN senuc_nucleo ON senuc_coordenador.idnucleo = senuc_nucleo.id  INNER JOIN regionais ON senuc_coordenador.idregional = regionais.id";
$tdatasenuc_coordenador_regional[".sqlWhereExpr"] = "";
$tdatasenuc_coordenador_regional[".sqlTail"] = "GROUP BY senuc_coordenador.idnucleo";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_coordenador_regional[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_coordenador_regional[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_coordenador_regional = array();
$tableKeyssenuc_coordenador_regional[] = "id";
$tdatasenuc_coordenador_regional[".Keys"] = $tableKeyssenuc_coordenador_regional;

$tdatasenuc_coordenador_regional[".listFields"] = array();
$tdatasenuc_coordenador_regional[".listFields"][] = "ultimo_score";
$tdatasenuc_coordenador_regional[".listFields"][] = "data_ultimo_score";
$tdatasenuc_coordenador_regional[".listFields"][] = "tipo_coordenador";
$tdatasenuc_coordenador_regional[".listFields"][] = "nome";
$tdatasenuc_coordenador_regional[".listFields"][] = "nome_nucleo";
$tdatasenuc_coordenador_regional[".listFields"][] = "nome_regional";
$tdatasenuc_coordenador_regional[".listFields"][] = "cpf";
$tdatasenuc_coordenador_regional[".listFields"][] = "email";
$tdatasenuc_coordenador_regional[".listFields"][] = "estado";
$tdatasenuc_coordenador_regional[".listFields"][] = "cidade";
$tdatasenuc_coordenador_regional[".listFields"][] = "endereco";
$tdatasenuc_coordenador_regional[".listFields"][] = "telefone";
$tdatasenuc_coordenador_regional[".listFields"][] = "celular";
$tdatasenuc_coordenador_regional[".listFields"][] = "operadora";
$tdatasenuc_coordenador_regional[".listFields"][] = "nascimento";
$tdatasenuc_coordenador_regional[".listFields"][] = "renda";
$tdatasenuc_coordenador_regional[".listFields"][] = "etnia";
$tdatasenuc_coordenador_regional[".listFields"][] = "escolaridade";
$tdatasenuc_coordenador_regional[".listFields"][] = "bolsista";
$tdatasenuc_coordenador_regional[".listFields"][] = "ingresso_nucleo";
$tdatasenuc_coordenador_regional[".listFields"][] = "ativo";
$tdatasenuc_coordenador_regional[".listFields"][] = "motivo";

$tdatasenuc_coordenador_regional[".viewFields"] = array();
$tdatasenuc_coordenador_regional[".viewFields"][] = "ultimo_score";
$tdatasenuc_coordenador_regional[".viewFields"][] = "tipo_coordenador";
$tdatasenuc_coordenador_regional[".viewFields"][] = "data_ultimo_score";
$tdatasenuc_coordenador_regional[".viewFields"][] = "nome";
$tdatasenuc_coordenador_regional[".viewFields"][] = "nome_nucleo";
$tdatasenuc_coordenador_regional[".viewFields"][] = "nome_regional";
$tdatasenuc_coordenador_regional[".viewFields"][] = "cpf";
$tdatasenuc_coordenador_regional[".viewFields"][] = "email";
$tdatasenuc_coordenador_regional[".viewFields"][] = "estado";
$tdatasenuc_coordenador_regional[".viewFields"][] = "cidade";
$tdatasenuc_coordenador_regional[".viewFields"][] = "endereco";
$tdatasenuc_coordenador_regional[".viewFields"][] = "telefone";
$tdatasenuc_coordenador_regional[".viewFields"][] = "celular";
$tdatasenuc_coordenador_regional[".viewFields"][] = "operadora";
$tdatasenuc_coordenador_regional[".viewFields"][] = "nascimento";
$tdatasenuc_coordenador_regional[".viewFields"][] = "renda";
$tdatasenuc_coordenador_regional[".viewFields"][] = "etnia";
$tdatasenuc_coordenador_regional[".viewFields"][] = "escolaridade";
$tdatasenuc_coordenador_regional[".viewFields"][] = "bolsista";
$tdatasenuc_coordenador_regional[".viewFields"][] = "ingresso_nucleo";
$tdatasenuc_coordenador_regional[".viewFields"][] = "ativo";
$tdatasenuc_coordenador_regional[".viewFields"][] = "motivo";

$tdatasenuc_coordenador_regional[".addFields"] = array();

$tdatasenuc_coordenador_regional[".inlineAddFields"] = array();

$tdatasenuc_coordenador_regional[".editFields"] = array();

$tdatasenuc_coordenador_regional[".inlineEditFields"] = array();

$tdatasenuc_coordenador_regional[".exportFields"] = array();

$tdatasenuc_coordenador_regional[".printFields"] = array();

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "senuc_coordenador.id";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["id"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "senuc_coordenador.idnucleo";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "id";
	
		
	$edata["LookupTable"] = "senuc_nucleo";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["idnucleo"] = $fdata;
//	nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nome";
	$fdata["GoodName"] = "nome";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Nome"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "senuc_coordenador.nome";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		$edata["inputStyle"] = " width:300px;";
	$edata["controlWidth"] = 300;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["nome"] = $fdata;
//	cpf
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "cpf";
	$fdata["GoodName"] = "cpf";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Cpf"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "cpf"; 
		$fdata["FullName"] = "senuc_coordenador.cpf";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		$edata["AutoUpdate"] = true; 
	
		$edata["strEditMask"] = "999.999.999-99"; 

//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["cpf"] = $fdata;
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Estado"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "estado"; 
		$fdata["FullName"] = "senuc_coordenador.estado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "uf";
	
		
	$edata["LookupTable"] = "tb_estados";
	$edata["LookupOrderBy"] = "uf";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
			//	dependent dropdowns	
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "cidade";
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["estado"] = $fdata;
//	cidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cidade";
	$fdata["GoodName"] = "cidade";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Cidade"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "cidade"; 
		$fdata["FullName"] = "senuc_coordenador.cidade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 1;
			
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "tb_cidades";
	$edata["LookupOrderBy"] = "";
	
		
		
		$edata["UseCategory"] = true; 
	$edata["CategoryControl"] = "estado"; 
	$edata["CategoryFilter"] = "estado"; 
	
		$edata["FastType"] = true; 
	
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["cidade"] = $fdata;
//	endereco
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "endereco";
	$fdata["GoodName"] = "endereco";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Endereco"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "endereco"; 
		$fdata["FullName"] = "senuc_coordenador.endereco";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		$edata["inputStyle"] = " width:300px;";
	$edata["controlWidth"] = 300;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["endereco"] = $fdata;
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Email"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "email"; 
		$fdata["FullName"] = "senuc_coordenador.email";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		$edata["inputStyle"] = " width:200px;";
	$edata["controlWidth"] = 200;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Email");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["email"] = $fdata;
//	telefone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "telefone";
	$fdata["GoodName"] = "telefone";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Telefone"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "telefone"; 
		$fdata["FullName"] = "senuc_coordenador.telefone";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
		$edata["strEditMask"] = "(99)9999-9999"; 

//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["telefone"] = $fdata;
//	celular
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "celular";
	$fdata["GoodName"] = "celular";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Celular"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "celular"; 
		$fdata["FullName"] = "senuc_coordenador.celular";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
		$edata["strEditMask"] = "(99)99999-9999"; 

//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["celular"] = $fdata;
//	operadora
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "operadora";
	$fdata["GoodName"] = "operadora";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Operadora"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "operadora"; 
		$fdata["FullName"] = "senuc_coordenador.operadora";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "operadora";
	
		
	$edata["LookupTable"] = "operadora";
	$edata["LookupOrderBy"] = "operadora";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["operadora"] = $fdata;
//	ingresso_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "ingresso_nucleo";
	$fdata["GoodName"] = "ingresso_nucleo";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Ingresso Nucleo"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "ingresso_nucleo"; 
		$fdata["FullName"] = "senuc_coordenador.ingresso_nucleo";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["ingresso_nucleo"] = $fdata;
//	nascimento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "nascimento";
	$fdata["GoodName"] = "nascimento";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Nascimento"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "nascimento"; 
		$fdata["FullName"] = "senuc_coordenador.nascimento";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["nascimento"] = $fdata;
//	etnia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "etnia";
	$fdata["GoodName"] = "etnia";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Etnia"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "etnia"; 
		$fdata["FullName"] = "senuc_coordenador.etnia";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "etnia";
	
		
	$edata["LookupTable"] = "etnia";
	$edata["LookupOrderBy"] = "etnia";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["etnia"] = $fdata;
//	renda
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "renda";
	$fdata["GoodName"] = "renda";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Renda"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "renda"; 
		$fdata["FullName"] = "senuc_coordenador.renda";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "renda";
	
		
	$edata["LookupTable"] = "renda";
	$edata["LookupOrderBy"] = "id";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["renda"] = $fdata;
//	escolaridade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "escolaridade";
	$fdata["GoodName"] = "escolaridade";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Escolaridade"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "escolaridade"; 
		$fdata["FullName"] = "senuc_coordenador.escolaridade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "escolaridade";
	
		
	$edata["LookupTable"] = "escolaridade";
	$edata["LookupOrderBy"] = "id";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["escolaridade"] = $fdata;
//	bolsista
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "bolsista";
	$fdata["GoodName"] = "bolsista";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Bolsista"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "bolsista"; 
		$fdata["FullName"] = "senuc_coordenador.bolsista";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Checkbox");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Checkbox");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["bolsista"] = $fdata;
//	acoes_afirmativas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "acoes_afirmativas";
	$fdata["GoodName"] = "acoes_afirmativas";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Acoes Afirmativas"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "acoes_afirmativas"; 
		$fdata["FullName"] = "senuc_coordenador.acoes_afirmativas";
	
		
		$fdata["CompatibilityMode"] = true; 
	
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["acoes_afirmativas"] = $fdata;
//	ativo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "ativo";
	$fdata["GoodName"] = "ativo";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Ativo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "ativo"; 
		$fdata["FullName"] = "senuc_coordenador.ativo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Checkbox");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Checkbox");
	
		
		$edata["AutoUpdate"] = true; 
	
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["ativo"] = $fdata;
//	motivo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "motivo";
	$fdata["GoodName"] = "motivo";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Motivo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "motivo"; 
		$fdata["FullName"] = "senuc_coordenador.motivo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Custom");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "motivo";
	
		
	$edata["LookupTable"] = "senuc_motivos";
	$edata["LookupOrderBy"] = "motivo";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["motivo"] = $fdata;
//	id_mdl
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "id_mdl";
	$fdata["GoodName"] = "id_mdl";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Id Mdl"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id_mdl"; 
		$fdata["FullName"] = "senuc_coordenador.id_mdl";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["id_mdl"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 22;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "senuc_coordenador.idregional";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["idregional"] = $fdata;
//	nome_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 23;
	$fdata["strName"] = "nome_nucleo";
	$fdata["GoodName"] = "nome_nucleo";
	$fdata["ownerTable"] = "senuc_nucleo";
	$fdata["Label"] = "Nome Nucleo"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "senuc_nucleo.nome";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["nome_nucleo"] = $fdata;
//	nome_regional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 24;
	$fdata["strName"] = "nome_regional";
	$fdata["GoodName"] = "nome_regional";
	$fdata["ownerTable"] = "regionais";
	$fdata["Label"] = "Nome Regional"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "regional"; 
		$fdata["FullName"] = "regionais.regional";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["nome_regional"] = $fdata;
//	tipo_coordenador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 25;
	$fdata["strName"] = "tipo_coordenador";
	$fdata["GoodName"] = "tipo_coordenador";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Tipo Coordenador"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "tipo_coordenador"; 
		$fdata["FullName"] = "senuc_coordenador.tipo_coordenador";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["tipo_coordenador"] = $fdata;
//	ultimo_score
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 26;
	$fdata["strName"] = "ultimo_score";
	$fdata["GoodName"] = "ultimo_score";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Ultimo Score"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "ultimo_score"; 
		$fdata["FullName"] = "senuc_coordenador.ultimo_score";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["ultimo_score"] = $fdata;
//	data_ultimo_score
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 27;
	$fdata["strName"] = "data_ultimo_score";
	$fdata["GoodName"] = "data_ultimo_score";
	$fdata["ownerTable"] = "senuc_coordenador";
	$fdata["Label"] = "Data Ultimo Score"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "data_ultimo_score"; 
		$fdata["FullName"] = "senuc_coordenador.data_ultimo_score";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_coordenador_regional["data_ultimo_score"] = $fdata;

	
$tables_data["senuc_coordenador_regional"]=&$tdatasenuc_coordenador_regional;
$field_labels["senuc_coordenador_regional"] = &$fieldLabelssenuc_coordenador_regional;
$fieldToolTips["senuc_coordenador_regional"] = &$fieldToolTipssenuc_coordenador_regional;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_coordenador_regional"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_coordenador_regional"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_coordenador_regional()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "senuc_coordenador.id,  senuc_coordenador.idnucleo,  senuc_coordenador.nome,  senuc_coordenador.cpf,  senuc_coordenador.estado,  senuc_coordenador.cidade,  senuc_coordenador.endereco,  senuc_coordenador.email,  senuc_coordenador.telefone,  senuc_coordenador.celular,  senuc_coordenador.operadora,  senuc_coordenador.ingresso_nucleo,  senuc_coordenador.nascimento,  senuc_coordenador.etnia,  senuc_coordenador.renda,  senuc_coordenador.escolaridade,  senuc_coordenador.bolsista,  senuc_coordenador.acoes_afirmativas,  senuc_coordenador.ativo,  senuc_coordenador.motivo,  senuc_coordenador.id_mdl,  senuc_coordenador.idregional,  senuc_nucleo.nome AS nome_nucleo,  regionais.regional AS nome_regional,  senuc_coordenador.tipo_coordenador,  senuc_coordenador.ultimo_score,  senuc_coordenador.data_ultimo_score";
$proto0["m_strFrom"] = "FROM senuc_coordenador  INNER JOIN senuc_nucleo ON senuc_coordenador.idnucleo = senuc_nucleo.id  INNER JOIN regionais ON senuc_coordenador.idregional = regionais.id";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY senuc_coordenador.ativo DESC, senuc_coordenador.ingresso_nucleo DESC";
$proto0["m_strTail"] = "GROUP BY senuc_coordenador.idnucleo";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_coordenador"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_coordenador"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_coordenador"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "cpf",
	"m_strTable" => "senuc_coordenador"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "senuc_coordenador"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "cidade",
	"m_strTable" => "senuc_coordenador"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "endereco",
	"m_strTable" => "senuc_coordenador"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "senuc_coordenador"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "telefone",
	"m_strTable" => "senuc_coordenador"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "celular",
	"m_strTable" => "senuc_coordenador"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "operadora",
	"m_strTable" => "senuc_coordenador"
));

$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "ingresso_nucleo",
	"m_strTable" => "senuc_coordenador"
));

$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "nascimento",
	"m_strTable" => "senuc_coordenador"
));

$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "etnia",
	"m_strTable" => "senuc_coordenador"
));

$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "renda",
	"m_strTable" => "senuc_coordenador"
));

$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "escolaridade",
	"m_strTable" => "senuc_coordenador"
));

$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLField(array(
	"m_strName" => "bolsista",
	"m_strTable" => "senuc_coordenador"
));

$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "";
$obj = new SQLFieldListItem($proto37);

$proto0["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLField(array(
	"m_strName" => "acoes_afirmativas",
	"m_strTable" => "senuc_coordenador"
));

$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "";
$obj = new SQLFieldListItem($proto39);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "ativo",
	"m_strTable" => "senuc_coordenador"
));

$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
						$proto43=array();
			$obj = new SQLField(array(
	"m_strName" => "motivo",
	"m_strTable" => "senuc_coordenador"
));

$proto43["m_expr"]=$obj;
$proto43["m_alias"] = "";
$obj = new SQLFieldListItem($proto43);

$proto0["m_fieldlist"][]=$obj;
						$proto45=array();
			$obj = new SQLField(array(
	"m_strName" => "id_mdl",
	"m_strTable" => "senuc_coordenador"
));

$proto45["m_expr"]=$obj;
$proto45["m_alias"] = "";
$obj = new SQLFieldListItem($proto45);

$proto0["m_fieldlist"][]=$obj;
						$proto47=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_coordenador"
));

$proto47["m_expr"]=$obj;
$proto47["m_alias"] = "";
$obj = new SQLFieldListItem($proto47);

$proto0["m_fieldlist"][]=$obj;
						$proto49=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_nucleo"
));

$proto49["m_expr"]=$obj;
$proto49["m_alias"] = "nome_nucleo";
$obj = new SQLFieldListItem($proto49);

$proto0["m_fieldlist"][]=$obj;
						$proto51=array();
			$obj = new SQLField(array(
	"m_strName" => "regional",
	"m_strTable" => "regionais"
));

$proto51["m_expr"]=$obj;
$proto51["m_alias"] = "nome_regional";
$obj = new SQLFieldListItem($proto51);

$proto0["m_fieldlist"][]=$obj;
						$proto53=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_coordenador",
	"m_strTable" => "senuc_coordenador"
));

$proto53["m_expr"]=$obj;
$proto53["m_alias"] = "";
$obj = new SQLFieldListItem($proto53);

$proto0["m_fieldlist"][]=$obj;
						$proto55=array();
			$obj = new SQLField(array(
	"m_strName" => "ultimo_score",
	"m_strTable" => "senuc_coordenador"
));

$proto55["m_expr"]=$obj;
$proto55["m_alias"] = "";
$obj = new SQLFieldListItem($proto55);

$proto0["m_fieldlist"][]=$obj;
						$proto57=array();
			$obj = new SQLField(array(
	"m_strName" => "data_ultimo_score",
	"m_strTable" => "senuc_coordenador"
));

$proto57["m_expr"]=$obj;
$proto57["m_alias"] = "";
$obj = new SQLFieldListItem($proto57);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto59=array();
$proto59["m_link"] = "SQLL_MAIN";
			$proto60=array();
$proto60["m_strName"] = "senuc_coordenador";
$proto60["m_columns"] = array();
$proto60["m_columns"][] = "id";
$proto60["m_columns"][] = "idnucleo";
$proto60["m_columns"][] = "nome";
$proto60["m_columns"][] = "cpf";
$proto60["m_columns"][] = "tipo_coordenador";
$proto60["m_columns"][] = "estado";
$proto60["m_columns"][] = "cidade";
$proto60["m_columns"][] = "endereco";
$proto60["m_columns"][] = "email";
$proto60["m_columns"][] = "telefone";
$proto60["m_columns"][] = "celular";
$proto60["m_columns"][] = "operadora";
$proto60["m_columns"][] = "ingresso_nucleo";
$proto60["m_columns"][] = "nascimento";
$proto60["m_columns"][] = "etnia";
$proto60["m_columns"][] = "renda";
$proto60["m_columns"][] = "escolaridade";
$proto60["m_columns"][] = "bolsista";
$proto60["m_columns"][] = "acoes_afirmativas";
$proto60["m_columns"][] = "ativo";
$proto60["m_columns"][] = "motivo";
$proto60["m_columns"][] = "id_mdl";
$proto60["m_columns"][] = "idregional";
$proto60["m_columns"][] = "ultimo_score";
$proto60["m_columns"][] = "data_ultimo_score";
$obj = new SQLTable($proto60);

$proto59["m_table"] = $obj;
$proto59["m_alias"] = "";
$proto61=array();
$proto61["m_sql"] = "";
$proto61["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto61["m_column"]=$obj;
$proto61["m_contained"] = array();
$proto61["m_strCase"] = "";
$proto61["m_havingmode"] = "0";
$proto61["m_inBrackets"] = "0";
$proto61["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto61);

$proto59["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto59);

$proto0["m_fromlist"][]=$obj;
												$proto63=array();
$proto63["m_link"] = "SQLL_INNERJOIN";
			$proto64=array();
$proto64["m_strName"] = "senuc_nucleo";
$proto64["m_columns"] = array();
$proto64["m_columns"][] = "id";
$proto64["m_columns"][] = "idregional";
$proto64["m_columns"][] = "login";
$proto64["m_columns"][] = "senha";
$proto64["m_columns"][] = "nome";
$proto64["m_columns"][] = "responsavel";
$proto64["m_columns"][] = "endereco";
$proto64["m_columns"][] = "cep";
$proto64["m_columns"][] = "estado";
$proto64["m_columns"][] = "cidade";
$proto64["m_columns"][] = "tipo";
$proto64["m_columns"][] = "site";
$proto64["m_columns"][] = "email";
$proto64["m_columns"][] = "telefone";
$proto64["m_columns"][] = "celular";
$proto64["m_columns"][] = "operadora";
$proto64["m_columns"][] = "data_inicio";
$proto64["m_columns"][] = "observacao";
$proto64["m_columns"][] = "prepara_para";
$proto64["m_columns"][] = "funciona_em";
$proto64["m_columns"][] = "ativo";
$proto64["m_columns"][] = "motivo";
$proto64["m_columns"][] = "id_mdl";
$proto64["m_columns"][] = "meta_funcionamento";
$proto64["m_columns"][] = "meta_alunos";
$proto64["m_columns"][] = "limite_alunos_por_coordenador";
$proto64["m_columns"][] = "min_presenca_coordenador";
$proto64["m_columns"][] = "min_presenca_professor";
$proto64["m_columns"][] = "min_presenca_aluno";
$proto64["m_columns"][] = "min_atividades";
$proto64["m_columns"][] = "data_ultimo_score";
$proto64["m_columns"][] = "ultimo_score";
$obj = new SQLTable($proto64);

$proto63["m_table"] = $obj;
$proto63["m_alias"] = "";
$proto65=array();
$proto65["m_sql"] = "senuc_coordenador.idnucleo = senuc_nucleo.id";
$proto65["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_coordenador"
));

$proto65["m_column"]=$obj;
$proto65["m_contained"] = array();
$proto65["m_strCase"] = "= senuc_nucleo.id";
$proto65["m_havingmode"] = "0";
$proto65["m_inBrackets"] = "0";
$proto65["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto65);

$proto63["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto63);

$proto0["m_fromlist"][]=$obj;
												$proto67=array();
$proto67["m_link"] = "SQLL_INNERJOIN";
			$proto68=array();
$proto68["m_strName"] = "regionais";
$proto68["m_columns"] = array();
$proto68["m_columns"][] = "id";
$proto68["m_columns"][] = "regional";
$proto68["m_columns"][] = "responsavel";
$proto68["m_columns"][] = "endereco";
$proto68["m_columns"][] = "telefone";
$proto68["m_columns"][] = "email";
$proto68["m_columns"][] = "celular";
$obj = new SQLTable($proto68);

$proto67["m_table"] = $obj;
$proto67["m_alias"] = "";
$proto69=array();
$proto69["m_sql"] = "senuc_coordenador.idregional = regionais.id";
$proto69["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_coordenador"
));

$proto69["m_column"]=$obj;
$proto69["m_contained"] = array();
$proto69["m_strCase"] = "= regionais.id";
$proto69["m_havingmode"] = "0";
$proto69["m_inBrackets"] = "0";
$proto69["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto69);

$proto67["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto67);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
												$proto71=array();
						$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_coordenador"
));

$proto71["m_column"]=$obj;
$obj = new SQLGroupByItem($proto71);

$proto0["m_groupby"][]=$obj;
$proto0["m_orderby"] = array();
												$proto73=array();
						$obj = new SQLField(array(
	"m_strName" => "ativo",
	"m_strTable" => "senuc_coordenador"
));

$proto73["m_column"]=$obj;
$proto73["m_bAsc"] = 0;
$proto73["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto73);

$proto0["m_orderby"][]=$obj;					
												$proto75=array();
						$obj = new SQLField(array(
	"m_strName" => "ingresso_nucleo",
	"m_strTable" => "senuc_coordenador"
));

$proto75["m_column"]=$obj;
$proto75["m_bAsc"] = 0;
$proto75["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto75);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_coordenador_regional = createSqlQuery_senuc_coordenador_regional();
																											$tdatasenuc_coordenador_regional[".sqlquery"] = $queryData_senuc_coordenador_regional;
	
if(isset($tdatasenuc_coordenador_regional["field2"])){
	$tdatasenuc_coordenador_regional["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_coordenador_regional["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_coordenador_regional["field2"]["LookupType"] = 4;
	$tdatasenuc_coordenador_regional["field2"]["LinkField"] = "email";
	$tdatasenuc_coordenador_regional["field2"]["DisplayField"] = "name";
	$tdatasenuc_coordenador_regional[".hasCustomViewField"] = true;
}

include_once(getabspath("include/senuc_coordenador_regional_events.php"));
$tableEvents["senuc_coordenador_regional"] = new eventclass_senuc_coordenador_regional;
$tdatasenuc_coordenador_regional[".hasEvents"] = true;

$cipherer = new RunnerCipherer("senuc_coordenador_regional");

?>